# Helper routines for using multiple, inexpensive cameras

Brandon Jackson and Dennis Evangelista, 2014-2015

Eventually setup cloneable Bitbucket repository::

    hg --clone ssh://hg@bitbucket.org/devangel77b/argus

To install the module, run (as administrator)::

    python setup.py install

This also works although it only gives last stable::

    sudo pip install argus

##Description

Argus had 1000 eyes.  You might only have 3 cameras but hopefully this is
useful.

This Python module includes helper routines for calibrating, synchronizing, 
and using multiple inexpensive cameras for reconstructing 3D positions for
scientific uses, such as in biology, biomechanics, ecology, etc. This module
includes chessboard calibration, automatic wand tracking, and synchronization
using sound and is intended to interface with the python sba sparse bundle
adjustment routines for 3D calibration and reconstruction. 

Companion Matlab routines are also available.

If these routines are helpful in your work, please cite Jackson, Evangelista, Hedrick (in preparation), Catchy title here, Prestigous Journal of Something VV:pp-pp::

    @article{Jackson20xx:
    author={Jackson, B and Evangelista, D and Hedrick T},
    year={20xx},
    title={Catchy title here},
    journal={Prestigious Journal of Something},
    volume={V},
    pages={pp--pp}}

## Still to do:

Autowand and keypoint finder for automatic detection of extrinsic calibration 
points.  Also provide worked example with sparse bundle adjustment (sba is 
part of the Python sba library / or is implemented in Matlab in EasyWand). 

## Thanks to:

Ty Hedrick, Dylan Ray, others